using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

public partial class MemberInfo : System.Web.UI.Page
{
    protected string strMemberName = "";
    protected string strMemberRank = "";
    protected string strEmail = "";
    protected string strPhone = "";
    protected string strQQ = "";
    protected string strAddress = "";

    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack) 
        {
            if (Session["MemberID"] != null) 
            {
                JY.BLL.Member bll = new JY.BLL.Member();
                try
                {
                    JY.Model.Member model = bll.GetModel(Convert.ToInt64(Session["MemberID"]));
                    strMemberName = model.MemberName;
                    strEmail = model.Email;
                    strPhone = model.Phone;
                    strQQ = model.QQ;
                    strAddress = model.Address;

                    JY.BLL.MemberRank mrbll = new JY.BLL.MemberRank();
                    JY.Model.MemberRank mrmodel = mrbll.GetModel((long)model.MemberRankId);
                    strMemberRank = mrmodel.MemberRankName;

                }
                catch 
                {
                }

            }
        }
    }
}
